OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.SUN.Vertex

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetSUNVertex :: MonadIO m => m Bool
- gl_SUN_vertex :: Bool
- glColor3fVertex3fSUN :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glColor3fVertex3fvSUN :: MonadIO m => Ptr GLfloat -> Ptr GLfloat -> m ()
- glColor4fNormal3fVertex3fSUN :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glColor4fNormal3fVertex3fvSUN :: MonadIO m => Ptr GLfloat -> Ptr GLfloat -> Ptr GLfloat -> m ()
- glColor4ubVertex2fSUN :: MonadIO m => GLubyte -> GLubyte -> GLubyte -> GLubyte -> GLfloat -> GLfloat -> m ()
- glColor4ubVertex2fvSUN :: MonadIO m => Ptr GLubyte -> Ptr GLfloat -> m ()
- glColor4ubVertex3fSUN :: MonadIO m => GLubyte -> GLubyte -> GLubyte -> GLubyte -> GLfloat -> GLfloat -> GLfloat -> m ()
- glColor4ubVertex3fvSUN :: MonadIO m => Ptr GLubyte -> Ptr GLfloat -> m ()
- glNormal3fVertex3fSUN :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glNormal3fVertex3fvSUN :: MonadIO m => Ptr GLfloat -> Ptr GLfloat -> m ()
- glReplacementCodeuiColor3fVertex3fSUN :: MonadIO m => GLuint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glReplacementCodeuiColor3fVertex3fvSUN :: MonadIO m => Ptr GLuint -> Ptr GLfloat -> Ptr GLfloat -> m ()
- glReplacementCodeuiColor4fNormal3fVertex3fSUN :: MonadIO m => GLuint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glReplacementCodeuiColor4fNormal3fVertex3fvSUN :: MonadIO m => Ptr GLuint -> Ptr GLfloat -> Ptr GLfloat -> Ptr GLfloat -> m ()
- glReplacementCodeuiColor4ubVertex3fSUN :: MonadIO m => GLuint -> GLubyte -> GLubyte -> GLubyte -> GLubyte -> GLfloat -> GLfloat -> GLfloat -> m ()
- glReplacementCodeuiColor4ubVertex3fvSUN :: MonadIO m => Ptr GLuint -> Ptr GLubyte -> Ptr GLfloat -> m ()
- glReplacementCodeuiNormal3fVertex3fSUN :: MonadIO m => GLuint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glReplacementCodeuiNormal3fVertex3fvSUN :: MonadIO m => Ptr GLuint -> Ptr GLfloat -> Ptr GLfloat -> m ()
- glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN :: MonadIO m => GLuint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN :: MonadIO m => Ptr GLuint -> Ptr GLfloat -> Ptr GLfloat -> Ptr GLfloat -> Ptr GLfloat -> m ()
- glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN :: MonadIO m => GLuint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN :: MonadIO m => Ptr GLuint -> Ptr GLfloat -> Ptr GLfloat -> Ptr GLfloat -> m ()
- glReplacementCodeuiTexCoord2fVertex3fSUN :: MonadIO m => GLuint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glReplacementCodeuiTexCoord2fVertex3fvSUN :: MonadIO m => Ptr GLuint -> Ptr GLfloat -> Ptr GLfloat -> m ()
- glReplacementCodeuiVertex3fSUN :: MonadIO m => GLuint -> GLfloat -> GLfloat -> GLfloat -> m ()
- glReplacementCodeuiVertex3fvSUN :: MonadIO m => Ptr GLuint -> Ptr GLfloat -> m ()
- glTexCoord2fColor3fVertex3fSUN :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glTexCoord2fColor3fVertex3fvSUN :: MonadIO m => Ptr GLfloat -> Ptr GLfloat -> Ptr GLfloat -> m ()
- glTexCoord2fColor4fNormal3fVertex3fSUN :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glTexCoord2fColor4fNormal3fVertex3fvSUN :: MonadIO m => Ptr GLfloat -> Ptr GLfloat -> Ptr GLfloat -> Ptr GLfloat -> m ()
- glTexCoord2fColor4ubVertex3fSUN :: MonadIO m => GLfloat -> GLfloat -> GLubyte -> GLubyte -> GLubyte -> GLubyte -> GLfloat -> GLfloat -> GLfloat -> m ()
- glTexCoord2fColor4ubVertex3fvSUN :: MonadIO m => Ptr GLfloat -> Ptr GLubyte -> Ptr GLfloat -> m ()
- glTexCoord2fNormal3fVertex3fSUN :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glTexCoord2fNormal3fVertex3fvSUN :: MonadIO m => Ptr GLfloat -> Ptr GLfloat -> Ptr GLfloat -> m ()
- glTexCoord2fVertex3fSUN :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glTexCoord2fVertex3fvSUN :: MonadIO m => Ptr GLfloat -> Ptr GLfloat -> m ()
- glTexCoord4fColor4fNormal3fVertex4fSUN :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glTexCoord4fColor4fNormal3fVertex4fvSUN :: MonadIO m => Ptr GLfloat -> Ptr GLfloat -> Ptr GLfloat -> Ptr GLfloat -> m ()
- glTexCoord4fVertex4fSUN :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glTexCoord4fVertex4fvSUN :: MonadIO m => Ptr GLfloat -> Ptr GLfloat -> m ()

# Extension Support

glGetSUNVertex :: MonadIO m => m Bool Source #

Is the SUN_vertex extension supported?

gl_SUN_vertex :: Bool Source #

Is the SUN_vertex extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSUNVertex` in those cases instead.

# Functions

glColor3fVertex3fSUN Source #

Arguments

:: MonadIO m |
=> GLfloat | `r`.
-> GLfloat | `g`.
-> GLfloat | `b`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glColor3fVertex3fvSUN Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `c` pointing to `3` elements of type `GLfloat`.
-> Ptr GLfloat | `v` pointing to `3` elements of type `GLfloat`.
-> m () |

glColor4fNormal3fVertex3fSUN Source #

Arguments

:: MonadIO m |
=> GLfloat | `r`.
-> GLfloat | `g`.
-> GLfloat | `b`.
-> GLfloat | `a`.
-> GLfloat | `nx`.
-> GLfloat | `ny`.
-> GLfloat | `nz`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glColor4fNormal3fVertex3fvSUN Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `c` pointing to `4` elements of type `GLfloat`.
-> Ptr GLfloat | `n` pointing to `3` elements of type `GLfloat`.
-> Ptr GLfloat | `v` pointing to `3` elements of type `GLfloat`.
-> m () |

glColor4ubVertex2fSUN Source #

Arguments

:: MonadIO m |
=> GLubyte | `r`.
-> GLubyte | `g`.
-> GLubyte | `b`.
-> GLubyte | `a`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> m () |

glColor4ubVertex2fvSUN Source #

Arguments

:: MonadIO m |
=> Ptr GLubyte | `c` pointing to `4` elements of type `GLubyte`.
-> Ptr GLfloat | `v` pointing to `2` elements of type `GLfloat`.
-> m () |

glColor4ubVertex3fSUN Source #

Arguments

:: MonadIO m |
=> GLubyte | `r`.
-> GLubyte | `g`.
-> GLubyte | `b`.
-> GLubyte | `a`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glColor4ubVertex3fvSUN Source #

Arguments

:: MonadIO m |
=> Ptr GLubyte | `c` pointing to `4` elements of type `GLubyte`.
-> Ptr GLfloat | `v` pointing to `3` elements of type `GLfloat`.
-> m () |

glNormal3fVertex3fSUN Source #

Arguments

:: MonadIO m |
=> GLfloat | `nx`.
-> GLfloat | `ny`.
-> GLfloat | `nz`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glNormal3fVertex3fvSUN Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `n` pointing to `3` elements of type `GLfloat`.
-> Ptr GLfloat | `v` pointing to `3` elements of type `GLfloat`.
-> m () |

glReplacementCodeuiColor3fVertex3fSUN Source #

Arguments

:: MonadIO m |
=> GLuint | `rc` of type `ReplacementCodeSUN`.
-> GLfloat | `r`.
-> GLfloat | `g`.
-> GLfloat | `b`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glReplacementCodeuiColor3fVertex3fvSUN Source #

Arguments

:: MonadIO m |
=> Ptr GLuint | `rc` pointing to `1` element of type `ReplacementCodeSUN`.
-> Ptr GLfloat | `c` pointing to `3` elements of type `GLfloat`.
-> Ptr GLfloat | `v` pointing to `3` elements of type `GLfloat`.
-> m () |

glReplacementCodeuiColor4fNormal3fVertex3fSUN Source #

Arguments

:: MonadIO m |
=> GLuint | `rc` of type `ReplacementCodeSUN`.
-> GLfloat | `r`.
-> GLfloat | `g`.
-> GLfloat | `b`.
-> GLfloat | `a`.
-> GLfloat | `nx`.
-> GLfloat | `ny`.
-> GLfloat | `nz`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glReplacementCodeuiColor4fNormal3fVertex3fvSUN Source #

Arguments

:: MonadIO m |
=> Ptr GLuint | `rc` pointing to `1` element of type `ReplacementCodeSUN`.
-> Ptr GLfloat | `c` pointing to `4` elements of type `GLfloat`.
-> Ptr GLfloat | `n` pointing to `3` elements of type `GLfloat`.
-> Ptr GLfloat | `v` pointing to `3` elements of type `GLfloat`.
-> m () |

glReplacementCodeuiColor4ubVertex3fSUN Source #

Arguments

:: MonadIO m |
=> GLuint | `rc` of type `ReplacementCodeSUN`.
-> GLubyte | `r`.
-> GLubyte | `g`.
-> GLubyte | `b`.
-> GLubyte | `a`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glReplacementCodeuiColor4ubVertex3fvSUN Source #

Arguments

:: MonadIO m |
=> Ptr GLuint | `rc` pointing to `1` element of type `ReplacementCodeSUN`.
-> Ptr GLubyte | `c` pointing to `4` elements of type `GLubyte`.
-> Ptr GLfloat | `v` pointing to `3` elements of type `GLfloat`.
-> m () |

glReplacementCodeuiNormal3fVertex3fSUN Source #

Arguments

:: MonadIO m |
=> GLuint | `rc` of type `ReplacementCodeSUN`.
-> GLfloat | `nx`.
-> GLfloat | `ny`.
-> GLfloat | `nz`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glReplacementCodeuiNormal3fVertex3fvSUN Source #

Arguments

:: MonadIO m |
=> Ptr GLuint | `rc` pointing to `1` element of type `ReplacementCodeSUN`.
-> Ptr GLfloat | `n` pointing to `3` elements of type `GLfloat`.
-> Ptr GLfloat | `v` pointing to `3` elements of type `GLfloat`.
-> m () |

glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN Source #

Arguments

:: MonadIO m |
=> GLuint | `rc` of type `ReplacementCodeSUN`.
-> GLfloat | `s`.
-> GLfloat | `t`.
-> GLfloat | `r`.
-> GLfloat | `g`.
-> GLfloat | `b`.
-> GLfloat | `a`.
-> GLfloat | `nx`.
-> GLfloat | `ny`.
-> GLfloat | `nz`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN Source #

Arguments

:: MonadIO m |
=> Ptr GLuint | `rc` pointing to `1` element of type `ReplacementCodeSUN`.
-> Ptr GLfloat | `tc` pointing to `2` elements of type `GLfloat`.
-> Ptr GLfloat | `c` pointing to `4` elements of type `GLfloat`.
-> Ptr GLfloat | `n` pointing to `3` elements of type `GLfloat`.
-> Ptr GLfloat | `v` pointing to `3` elements of type `GLfloat`.
-> m () |

glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN Source #

Arguments

:: MonadIO m |
=> GLuint | `rc` of type `ReplacementCodeSUN`.
-> GLfloat | `s`.
-> GLfloat | `t`.
-> GLfloat | `nx`.
-> GLfloat | `ny`.
-> GLfloat | `nz`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN Source #

Arguments

:: MonadIO m |
=> Ptr GLuint | `rc` pointing to `1` element of type `ReplacementCodeSUN`.
-> Ptr GLfloat | `tc` pointing to `2` elements of type `GLfloat`.
-> Ptr GLfloat | `n` pointing to `3` elements of type `GLfloat`.
-> Ptr GLfloat | `v` pointing to `3` elements of type `GLfloat`.
-> m () |

glReplacementCodeuiTexCoord2fVertex3fSUN Source #

Arguments

:: MonadIO m |
=> GLuint | `rc` of type `ReplacementCodeSUN`.
-> GLfloat | `s`.
-> GLfloat | `t`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glReplacementCodeuiTexCoord2fVertex3fvSUN Source #

Arguments

:: MonadIO m |
=> Ptr GLuint | `rc` pointing to `1` element of type `ReplacementCodeSUN`.
-> Ptr GLfloat | `tc` pointing to `2` elements of type `GLfloat`.
-> Ptr GLfloat | `v` pointing to `3` elements of type `GLfloat`.
-> m () |

glReplacementCodeuiVertex3fSUN Source #

Arguments

:: MonadIO m |
=> GLuint | `rc` of type `ReplacementCodeSUN`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glReplacementCodeuiVertex3fvSUN Source #

Arguments

:: MonadIO m |
=> Ptr GLuint | `rc` pointing to `1` element of type `ReplacementCodeSUN`.
-> Ptr GLfloat | `v` pointing to `3` elements of type `GLfloat`.
-> m () |

glTexCoord2fColor3fVertex3fSUN Source #

Arguments

:: MonadIO m |
=> GLfloat | `s`.
-> GLfloat | `t`.
-> GLfloat | `r`.
-> GLfloat | `g`.
-> GLfloat | `b`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glTexCoord2fColor3fVertex3fvSUN Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `tc` pointing to `2` elements of type `GLfloat`.
-> Ptr GLfloat | `c` pointing to `3` elements of type `GLfloat`.
-> Ptr GLfloat | `v` pointing to `3` elements of type `GLfloat`.
-> m () |

glTexCoord2fColor4fNormal3fVertex3fSUN Source #

Arguments

:: MonadIO m |
=> GLfloat | `s`.
-> GLfloat | `t`.
-> GLfloat | `r`.
-> GLfloat | `g`.
-> GLfloat | `b`.
-> GLfloat | `a`.
-> GLfloat | `nx`.
-> GLfloat | `ny`.
-> GLfloat | `nz`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glTexCoord2fColor4fNormal3fVertex3fvSUN Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `tc` pointing to `2` elements of type `GLfloat`.
-> Ptr GLfloat | `c` pointing to `4` elements of type `GLfloat`.
-> Ptr GLfloat | `n` pointing to `3` elements of type `GLfloat`.
-> Ptr GLfloat | `v` pointing to `3` elements of type `GLfloat`.
-> m () |

glTexCoord2fColor4ubVertex3fSUN Source #

Arguments

:: MonadIO m |
=> GLfloat | `s`.
-> GLfloat | `t`.
-> GLubyte | `r`.
-> GLubyte | `g`.
-> GLubyte | `b`.
-> GLubyte | `a`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glTexCoord2fColor4ubVertex3fvSUN Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `tc` pointing to `2` elements of type `GLfloat`.
-> Ptr GLubyte | `c` pointing to `4` elements of type `GLubyte`.
-> Ptr GLfloat | `v` pointing to `3` elements of type `GLfloat`.
-> m () |

glTexCoord2fNormal3fVertex3fSUN Source #

Arguments

:: MonadIO m |
=> GLfloat | `s`.
-> GLfloat | `t`.
-> GLfloat | `nx`.
-> GLfloat | `ny`.
-> GLfloat | `nz`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glTexCoord2fNormal3fVertex3fvSUN Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `tc` pointing to `2` elements of type `GLfloat`.
-> Ptr GLfloat | `n` pointing to `3` elements of type `GLfloat`.
-> Ptr GLfloat | `v` pointing to `3` elements of type `GLfloat`.
-> m () |

glTexCoord2fVertex3fSUN Source #

Arguments

:: MonadIO m |
=> GLfloat | `s`.
-> GLfloat | `t`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glTexCoord2fVertex3fvSUN Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `tc` pointing to `2` elements of type `GLfloat`.
-> Ptr GLfloat | `v` pointing to `3` elements of type `GLfloat`.
-> m () |

glTexCoord4fColor4fNormal3fVertex4fSUN Source #

Arguments

:: MonadIO m |
=> GLfloat | `s`.
-> GLfloat | `t`.
-> GLfloat | `p`.
-> GLfloat | `q`.
-> GLfloat | `r`.
-> GLfloat | `g`.
-> GLfloat | `b`.
-> GLfloat | `a`.
-> GLfloat | `nx`.
-> GLfloat | `ny`.
-> GLfloat | `nz`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> GLfloat | `w`.
-> m () |

glTexCoord4fColor4fNormal3fVertex4fvSUN Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `tc` pointing to `4` elements of type `GLfloat`.
-> Ptr GLfloat | `c` pointing to `4` elements of type `GLfloat`.
-> Ptr GLfloat | `n` pointing to `3` elements of type `GLfloat`.
-> Ptr GLfloat | `v` pointing to `4` elements of type `GLfloat`.
-> m () |

glTexCoord4fVertex4fSUN Source #

Arguments

:: MonadIO m |
=> GLfloat | `s`.
-> GLfloat | `t`.
-> GLfloat | `p`.
-> GLfloat | `q`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> GLfloat | `w`.
-> m () |

glTexCoord4fVertex4fvSUN Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `tc` pointing to `4` elements of type `GLfloat`.
-> Ptr GLfloat | `v` pointing to `4` elements of type `GLfloat`.
-> m () |